#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: addRAIDPkg.pl,v 1.9.2.2 2002/03/05 01:10:43 pbaltz Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
#

use CCE;
use Cobalt::RAID;
my $cce = new CCE;

$cce->connectuds();

my $packageName = 'RAID'; 
my $isConfigurable = 0;
my $add_raid_pkg = 1;
my ($system, $ok, $prod, $level);

my @oids = $cce->find('System', {});
if (@oids == 1) {
	($ok, $system) = $cce->get($oids[0]);
	if ( $ok ) {
   	$prod = ${$system}{'productBuild'};
		# raid level is configurable on Raqs
		if ($prod  =~ /\d+R/) {
			$isConfigurable = 1;
			$add_raid_pkg = 0;
		} else {
			# we ship RAID1 on nonconfigurable systems
			$level="1";
		}
	}
} 

my $disks = Cobalt::RAID::raid_get_numdisk();
$isConfigurable = 0 if ( $disks < 2 );

if (@oids == 1) {
	# The level can only be set once (reconfiguration is not allowed)
	# therefore we don't set a level now for configurable systems
	if ($level) {
		$ok = $cce->set($oids[0], 'RAID', { level => $level, configurable => $isConfigurable, disks => $disks }); 
	} else {
		$ok = $cce->set($oids[0], 'RAID', { configurable => $isConfigurable, disks => $disks }); 
	}
}

@oids = $cce->find('Package', {'name' => $packageName, vendor => 'Cobalt' });
if (($#oids < 0) && $add_raid_pkg) {
  $cce->create('Package', { 'name' => $packageName,
			    'vendor' => 'Cobalt',
		  	    'version' => 'v1.1',
			    'nameTag' => '[[base-raid.pkgName]]',
			    'vendorTag' => '[[base-raid.pkgVendor]]',
			    'shortDesc' => '[[base-raid.pkgDescription]]',
			    'new' => 0,
			    'installState' => 'Installed' });
}
$cce->bye();
exit 0;
